import * as types from '../constants/ActionTypes'
import * as requests from './requests.json'
import _ from 'lodash';
import $ from 'jquery';
import { js_beautify as beautify } from 'js-beautify';

export const setRequestType = function(type) {
  return {
    type: types.SET_REQUEST_TYPE,
    requestType: type
  }
}

export const setIntentName = function(name) {
  return {
    type: types.SET_INTENT_NAME,
    intentName: name
  }
}

export const doRequest = function(requestType, intentName) {
  return function(dispatch) {
    $.ajax({
      method: 'post',
      url: '/lambda',
      data: {
        event: requests[requestType]
      }
    }).done(function(data) {
      dispatch({
        type: types.DO_REQUEST,
        response: beautify(JSON.stringify(data)),
        request: beautify(requests[requestType])
      });
    }).fail(function(error) {
      dispatch({
        type: types.DO_REQUEST,
        response: 'Error in skill occured: ' + JSON.stringify(error),
        request: beautify(requests[requestType])
      });
    });
  }
}
