import React from 'react'
import './index.scss'

class Skill extends React.Component {
  render() {
    return (
      <div>
        <h1>Alexa Skill Test</h1>

        <p>Alexa Skill Test lets you easily mock requests to send to your Alexa skill locally. This page will automatically refresh when you update your skill.</p>

        <div className="field-group">
          Request Type:<br />
          <select defaultValue={this.props.requestType} onChange={(event) => this.props.actions.setRequestType(event.target.value)} id="request_type">
            <option value="launch">LaunchRequest</option>
            <option value="intent">IntentRequest</option>
            <option value="session_end">SessionEndedRequest</option>
          </select>
        </div>

        {'intent' === this.props.requestType ?
          <div className="intent field-group">
            Intent: <br />
            <input type="text" id="intent" onChange={(event) => this.props.actions.setIntentName(event.target.value)} />
          </div>
          :
          ''
        }

        {'intent' === this.props.requestType ?
          <div className="slots field-group">
            Slots:<br />

            <div className="all-slots">
              <a href="">Add a slot</a>
            </div>
          </div>
          :
          ''
        }

        <h2>Request</h2>
        <div className="request" className="code">{this.props.request}</div>

        <div>
          <input type="button" value="Send Request" onClick={() => this.props.actions.doRequest(this.props.requestType, this.props.intentName)} />
        </div>

        <h2>Response</h2>
        <div className="response" className="code">{this.props.response}</div>
      </div>
    );
  }
}

export default Skill
