import Skill from '../../components/Skill';
import React, { PropTypes } from 'react'
import { bindActionCreators } from 'redux'
import { connect } from 'react-redux'
import * as Actions from '../../actions'

class App extends React.Component {
  render() {
    return (
      <div>
        <Skill {...this.props} />
      </div>
    )
  }
}

App.propTypes = {
  slots: PropTypes.array.isRequired,
  intentName: PropTypes.string.isRequired,
  requestType: PropTypes.string.isRequired,
  response: PropTypes.string.isRequired,
  request: PropTypes.string.isRequired,
  actions: PropTypes.object.isRequired
}

const mapStateToProps = state => ({
  requestType: state.get('requestType'),
  intentName: state.get('intentName'),
  response: state.get('response'),
  request: state.get('request'),
  slots: state.get('slots')
})

const mapDispatchToProps = dispatch => ({
    actions: bindActionCreators(Actions, dispatch)
})

export default connect(
  mapStateToProps,
  mapDispatchToProps
)(App)
